### Struct

# Gsk ComponentTransfer

since: 4.20

#### Description [src]

    struct GskComponentTransfer {
      /* No available fields */
    }

Specifies a transfer function for a color component to be applied while rendering.

The available functions include linear, piecewise-linear, gamma and step functions.

Note that the transfer function is applied to un-premultiplied values, and all results are clamped to the [0, 1] range.

Available since: 4.20

#### Constructors

###### gsk_component_transfer_new_discrete

Creates a new component transfer that applies a step function.

since: 4.20

###### gsk_component_transfer_new_gamma

Creates a new component transfer that applies a gamma transform.

since: 4.20

###### gsk_component_transfer_new_identity

Creates a new component transfer that doesn’t change the component value.

since: 4.20

###### gsk_component_transfer_new_levels

Creates a new component transfer that limits the values of the component to `n` levels.

since: 4.20

###### gsk_component_transfer_new_linear

Creates a new component transfer that applies a linear transform.

since: 4.20

###### gsk_component_transfer_new_table

Creates a new component transfer that applies a piecewise linear function.

since: 4.20

#### Functions

###### gsk_component_transfer_equal

Compares two component transfers for equality.

since: 4.20

#### Instance methods

###### gsk_component_transfer_copy

Creates a copy of `other`.

since: 4.20

###### gsk_component_transfer_free

Frees a component transfer.

since: 4.20